package com.virtual.pollentia.WalkingTour.vista;


/**
 * Created by Roger Gomez
 */

import android.app.Activity;
import android.os.Bundle;
import android.support.v4.view.ViewPager;

import com.virtual.pollentia.WalkingTour.controlador.Controlador;
import com.virtual.pollentia.pollentia_tour.R;


public class FullScreenViewActivity extends Activity {

    //variables globales
    private ViewPager viewPager;
    private Controlador controlador;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_full_screen_view);

        //recogemos el viepager

        viewPager = (ViewPager) findViewById(R.id.pager);


        //recogemos el controlador
        controlador = controlador.getSingletonInstance(null, null);
        //llamada a la función que crea la galeria
        controlador.getphotosPuntoImportante(viewPager, this,this);


    }


    /**
     * Al pulsar el botón de atras en el dispositivo finalizamos la activity.
     */
    @Override
    public void onBackPressed() {
        viewPager = null;
        controlador.closeAudio();
        this.finish();

    }
}
